apiVersion: apps/v1
kind: Deployment
metadata:
  name: grafana
  namespace: default
  labels:
    app: grafana
spec:
  replicas: 3
  selector:
    matchLabels:
      app: grafana
  template:
    metadata:
      labels:
        app: grafana
    spec:
      securityContext:
        runAsUser: 0
      containers:
      - image: grafana/grafana:7.5.2
        name: grafana
        ports:
        - name: http-grafana
          containerPort: 3000
          protocol: TCP
        volumeMounts:
        - name: grafana-persistent-local-storage
          mountPath: /var/lib/grafana 
      volumes:
      - name: grafana-persistent-local-storage
        persistentVolumeClaim:
          claimName: grafana-claim
#
